//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Resources;
using Evpo.DocCirc.Common;
using Evpo.DocCirc;
using Evpo.DocCirc.Biz;

public partial class ChangePassword : System.Web.UI.UserControl
{
    #region Resources
    private const string _controlName = "ChangePassword.ascx";
    public struct ResKeys
    {
        public const string OldPasswordLabel = "OldPasswordLabel";
        public const string NewPasswordLabel = "NewPasswordLabel";
        public const string SaveButton = "SaveButton";
        public const string PasswordConfirmationError = "PasswordConfirmationError";
        public const string OldPasswordIsWrongError = "OldPasswordIsWrongError";

    }

    protected ResourceManager _rm;
    #endregion

    protected UserSession _us;

    protected void Page_Init(object sender, EventArgs e)
    {
        _rm = ResourceHelper.Current.GetResourceManagerForPage(_controlName);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        _us = (UserSession)Session[SessionStateKeys.UserSession];
        if (!IsPostBack)
        {
            this.DataBind();
        }
    }

    protected void uiSave_Click(object sender, EventArgs e)
    {
        bool error = false;
        if (uiNewPassword1.Text != uiNewPassword2.Text)
        {
            uiErrorMessage.Text = _rm.GetString(ResKeys.PasswordConfirmationError);
            uiErrorMessage.Visible = true;
            error = true;
        }

        if(UserHelper.Current.AuthorizeUser(_us.UserInfo.Login, uiOldPassword.Text, _us.DataConnection) == null)
        {
            uiErrorMessage.Text = _rm.GetString(ResKeys.OldPasswordIsWrongError);
            uiErrorMessage.Visible = true;
            error = true;
        }

        if(!error)
        {
            UserHelper.Current.SetUserPassword(_us.UserInfo.UserId, uiNewPassword1.Text, _us.DataConnection);
        }
    }
}
