//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Resources;
using Evpo.DocCirc.Common;

public partial class ErrorMessage : System.Web.UI.Page
{
    #region Resources
    private const string _controlName = "ErrorMessage.aspx";
    public struct ResKeys
    {
        public const string DocumentNotFound = "DocumentNotFound";
        public const string AccessDenied = "AccessDenied";
        public const string Title = "Title";
    }
    protected ResourceManager _rm;
    #endregion

    protected struct RequestParam
    {
        public const string ResourceKey = "ResourceKey";
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        _rm = ResourceHelper.Current.GetResourceManagerForPage(_controlName);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        uiMessage.Text = _rm.GetString(Request.Params[RequestParam.ResourceKey]);

        this.Title = _rm.GetString(ResKeys.Title);
        DataBind();
    }
}
