//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Resources;
using Evpo.DocCirc.Biz;
using Evpo.DocCirc.Common;
using Evpo.DocCirc.UI;
using Evpo.DocCirc;

public partial class UserProperty : System.Web.UI.UserControl
{
    #region Resources
    private const string _controlName = "UserProperty.ascx";
    public struct ResKeys
    {
        public const string AutomaticPass = "AutomaticPass";
        public const string EnableInstantMessaging = "EnableInstantMessaging";
        public const string SaveButton = "SaveButton";
    }
    protected ResourceManager _rm;
    #endregion

    protected class UserPropertySessionData
    {
        private UserProperties _userProperties;

        public UserProperties UserProperties
        {
            get { return _userProperties; }
            set { _userProperties = value; }
        }

        private ResourceManager _resourceManager;

        public ResourceManager ResourceManager
        {
            get { return _resourceManager; }
            set { _resourceManager = value; }
        }
    }

    protected UserPropertySessionData _sessionData = new UserPropertySessionData();

    protected void Page_Load(object sender, EventArgs e)
    {
        UserSession us = (UserSession)Session[SessionStateKeys.UserSession];

        if (!IsPostBack)
        {
            _rm = ResourceHelper.Current.GetResourceManagerForPage(_controlName);
            _sessionData.UserProperties = us.UserInfo.UserProperties;
            _sessionData.ResourceManager = _rm;
            uiWebFormId.Value = (new GuidGenerator()).Generate();
            Session[uiWebFormId.Value] = _sessionData;
        }
        else
        {
            _sessionData = (UserPropertySessionData)Session[uiWebFormId.Value];
            _rm = _sessionData.ResourceManager;
            BindToData();
        }

        this.DataBind();

    }

    protected void BindToData()
    {
        _sessionData.UserProperties.InstantMessaging = uiInstantMessaging.Checked;
        _sessionData.UserProperties.AutomaticPass = uiAutomaticPass.Checked;
    }

    protected void uiSave_Click(object sender, EventArgs e)
    {
        UserSession us = (UserSession)Session[SessionStateKeys.UserSession];
        UserHelper.Current.SaveUserProperties(_sessionData.UserProperties, us.DataConnection);
    }
}
