//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using Evpo.DocCirc.MySqlDL;
using Evpo.DocCirc.Common;

namespace Evpo.DocCirc.Biz
{
    public class AttachmentData
    {
        protected AttachmentAccess _attachmentAccess;
        protected UserInfo _userInfo;

        public AttachmentData(UserInfo userInfo, DataConnection con, SettingKeeper settingKeeper)
        {
            _attachmentAccess = new AttachmentAccess(userInfo.UserId, con.DBConnection, settingKeeper);
            _userInfo = userInfo;
        }

        public AttachmentItem GetAttachmentItem(long id)
        {
            return _attachmentAccess.GetAttachmentItem(id);
        }

        public AttachmentItem[] GetDocCardAttachmentItems(long docCardId)
        {
            return _attachmentAccess.GetDocCardAttachmentItems(docCardId);
        }

        public void DeleteAttachment(AttachmentItem item)
        {
            _attachmentAccess.DeleteAttachment(item);
        }

        public Stream OpenAttachment(AttachmentItem item)
        {
            return _attachmentAccess.OpenAttachment(item);
        }

        public void SaveAttachment(AttachmentItem item, Stream inputStream)
        {
            _attachmentAccess.SaveAttachment(item, inputStream);
        }
    }
}
