//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using Evpo.DocCirc.MySqlDL;

namespace Evpo.DocCirc.Biz
{
    public class DataConnection
    {
        protected DBConnection _con;
        public DBConnection DBConnection
        {
            get { return _con; }
        }

        /// <summary>
        /// for Testing
        /// </summary>
        public DataConnection()
        {
        }

        public DataConnection(DBConnection con)
        {
            _con = con;
        }

        public DataConnection(string connString)
        {
            _con = new DBConnection(connString);
        }

        public virtual void Open()
        {
            _con.Open();
        }

        public virtual void Close()
        {
            _con.Close();
        }
            
        public virtual bool IsOpen
        {
            get { return _con.IsOpen; }
        }

        public virtual void BeginTransaction()
        {
            _con.BeginTransaction();
        }

        public virtual void CommitTransaction()
        {
            _con.CommitTransaction();
        }

        public virtual void RollBackTransaction()
        {
            _con.RollbackTransaction();
        }
    }
}
