//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using Evpo.DocCirc.MySqlDL;
using Evpo.DocCirc.Common;

namespace Evpo.DocCirc.Biz
{
    public class DocCardReferenceData
    {
        //protected DataConnection _con;
        //protected UserInfo _userInfo;
        //protected SettingKeeper _sk;
        protected DocCardReferenceAccess _referenceAccess;

        public DocCardReferenceData(UserInfo userInfo, DataConnection con, SettingKeeper sk)
        {
            _referenceAccess = new DocCardReferenceAccess(userInfo.UserId, con.DBConnection, sk);
        }

        public DocCardReferenceItem[] GetDocCardReferences(long docCardId)
        {
            return _referenceAccess.GetDocCardReferences(docCardId);
        }

        public void SaveDocCardReferences(long docCardId, DocCardReferenceItem[] references)
        {
            _referenceAccess.SaveDocCardReferences(docCardId, references);
        }

        public void DeleteDocCardReferences(long docCardId)
        {
            _referenceAccess.DeleteDocCardReferences(docCardId);
        }
    }
}
