//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    public class AttachmentItem
    {
        private long? _id;

        public long? Id
        {
            get { return _id; }
            set { _id = value; }
        }

        private long _docCardId;

        public long DocCardId
        {
            get { return _docCardId; }
            set { _docCardId = value; }
        }

        private string _fileName;

        public string FileName
        {
            get { return _fileName; }
            set { _fileName = value; }
        }

        private string _contentType;

        public string ContentType
        {
            get { return _contentType; }
            set { _contentType = value; }
        }

        private int _size;

        public int Size
        {
            get { return _size; }
            set { _size = value; }
        }

        private DateTime _uploadTime;

        public DateTime UploadTime
        {
            get { return _uploadTime; }
            set { _uploadTime = value; }
        }

        private long? _file;

        public long? File
        {
            get { return _file; }
            set { _file = value; }
        }


        private long? _folder;

        public long? Folder
        {
            get { return _folder; }
            set { _folder = value; }
        }


        public AttachmentItem()
        {
        }

        public AttachmentItem(
            long docCardId, string fileName, string contentType, int size, DateTime uploadTime
            ):this(null, docCardId, fileName, null, null, contentType, size, uploadTime)
        {
        }

        public AttachmentItem(
            long? id, long docCardId, string fileName, long? folder, long? file, string contentType, int size, DateTime uploadTime
            )
        {
            _id = id;
            _docCardId = docCardId;
            _fileName = fileName;
            _contentType = contentType;
            _size = size;
            _uploadTime = uploadTime;
            _folder = folder;
            _file = file;
        }

    }
}
