//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    

    public class ComposerHelper
    {
        static ComposerHelper()
        {
            _current = new ComposerHelper();
        }

        private static ComposerHelper _current;

        public static ComposerHelper Current
        {
            get { return _current; }
            set { _current = value; }
        }

        public string ReplaceWithValues(string template, ReplacedItem[] items)
        {
            foreach (ReplacedItem item in items)
            {
                template = template.Replace(item.Token, item.Value);
            }
            return template;
        }
    }

    public class ReplacedItem
    {
        public string Token;
        public string Value;
        public ReplacedItem(string token, string value)
        {
            Token = token;
            Value = value;
        }
    }
}
