//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using Evpo.DocCirc.Common;

namespace Evpo.DocCirc.Common
{
    public class DBConstKeeper
    {
        public static DBConstKeeper Current;

        private FolderTypeDirectory _folderType;
        public FolderTypeDirectory FolderType
        {
            get { return _folderType; }
            set { _folderType = value; }
        }

        private RootFolderDirectory _rootFolder;
        public RootFolderDirectory RootFolder
        {
            get { return _rootFolder; }
            set { _rootFolder = value; }
        }

        private MainRoleDirectory _mainRole;
	    public MainRoleDirectory MainRole
	    {
	        get { return _mainRole;}
            set { _mainRole = value; }
	    }

        private RouteItemTypeDirectory _routeItemType;
        public RouteItemTypeDirectory RouteItemType
        {
            get { return _routeItemType; }
            set { _routeItemType = value; }
        }

        private DocStatusDirectory _docStatus;

        public DocStatusDirectory DocStatus
        {
            get { return _docStatus; }
            set { _docStatus = value; }
        }

        private NotificationTypeDirectory _notificationType;
        public NotificationTypeDirectory NotificationType
        {
            get { return _notificationType; }
            set { _notificationType = value; }
        }

        private EventTypeDirectory _eventType;

        public EventTypeDirectory EventType
        {
            get { return _eventType; }
            set { _eventType = value; }
        }

        private int _commonDepartment;

        public int CommonDepartment
        {
            get { return _commonDepartment; }
            set { _commonDepartment = value; }
        }


        /// <summary>
        /// for unit testing
        /// </summary>
        public DBConstKeeper()
        {
        }

        public DBConstKeeper(
            FolderTypeDirectory folderType, 
            RootFolderDirectory rootFolder,
            MainRoleDirectory mainRole,
            RouteItemTypeDirectory routeItemType,
            DocStatusDirectory docStatus,
            NotificationTypeDirectory notificationType,
            EventTypeDirectory eventType,
            int commonDepartment
            )
        {
            _folderType = folderType;
            _rootFolder = rootFolder;
            _mainRole = mainRole;
            _routeItemType = routeItemType;
            _docStatus = docStatus;
            _notificationType = notificationType;
            _eventType = eventType;
            _commonDepartment = commonDepartment;
        }
	
    }
}
