//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    public class EventItem
    {
        private long? _id;

        public long? Id
        {
            get { return _id; }
            set { _id = value; }
        }

        private long _docCardId;

        public long DocCardId
        {
            get { return _docCardId; }
            set { _docCardId = value; }
        }

        private int _eventType;

        public int EventType
        {
            get { return _eventType; }
            set { _eventType = value; }
        }

        private int _eventUser;

        public int EventUser
        {
            get { return _eventUser; }
            set { _eventUser = value; }
        }

        private int? _deputy;

        public int? Deputy
        {
            get { return _deputy; }
            set { _deputy = value; }
        }

        private int _routePointNum;

        public int RoutePointNum
        {
            get { return _routePointNum; }
            set { _routePointNum = value; }
        }

        private DateTime _eventTime;

        public DateTime EventTime
        {
            get { return _eventTime; }
            set { _eventTime = value; }
        }

        private string _note;

        public string Note
        {
            get { return _note; }
            set { _note = value; }
        }

        private string _text;

        public string Text
        {
            get { return _text; }
            set { _text = value; }
        }
	

        public EventItem() 
        { 
        }

        public EventItem(
           long docCardId,
           int eventType,
           int eventUser,
           int? deputy,
           int routePointNum,
           DateTime eventTime,
           string note,
           string text
           )
            : this(null, docCardId, eventType, eventUser, deputy, routePointNum, eventTime, note, text)
        {
        }

        public EventItem(
            long? id,
            long docCardId,
            int eventType,
            int eventUser,
            int? deputy,
            int routePointNum,
            DateTime eventTime,
            string note,
            string text
            )
        {
            _id = id;
            _docCardId = docCardId;
            _eventType = eventType;
            _eventUser = eventUser;
            _deputy = deputy;
            _routePointNum = routePointNum;
            _eventTime = eventTime;
            _note = note;
            _text = text;
        }

       


    }
}
