//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    public class FolderItem
    {
        private int? _folderId;

        public int? FolderId
        {
            get { return _folderId; }
            set { _folderId = value; }
        }

        private int? _parent;

        public int? Parent
        {
            get { return _parent; }
            set { _parent = value; }
        }

        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private int _folderType;

        public int FolderType
        {
            get { return _folderType; }
            set { _folderType = value; }
        }

        public FolderItem(int parent, string name, int folderType)
            : this(parent, name, folderType, null)
        {
        }

        public FolderItem(int? parent, string name, int folderType, int? folderId)
        {
            _parent = parent;
            _name = name;
            _folderType = folderType;
            _folderId = folderId;
        }
    }
}
