//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;

namespace Evpo.DocCirc.Common
{
    /// <summary>
    /// Summary description for GlobalStringConstants
    /// </summary>
    public struct GlobalStringConstants
    {
        public const string NeutralCulture = "neutral";
        public const string ResourceAssemblyFileName = "Evpo.DocCirc.Resources.dll";
        public const string StringsForLogResourcesId = "Evpo.DocCirc.StringsForLog";
        public const string StringsForUIResourcesId = "Evpo.DocCirc.StringsForUI";
        public const string StringsForExResourcesId = "Evpo.DocCirc.StringsForEx";
        public const string DocCardFieldNameResourcesId = "DocCardFieldName";
        public const string ResourcePrefix = "Evpo.DocCirc";
        public const string LogFileDelimiter = "-----------------------------------------------------------";
    }

    public struct SettingFileKeys
    {
        public const string LogFile = "LogFile";
        public const string MSIMHost = "MSIMHost";
        public const string ResourceFileFolder = "ResourceFileFolder";
        public const string Domain = "Domain";
        public const string ApplicationCulture = "ApplicationCulture";
        public const string ConnectionString = "ConnectionString";
        public const string ServiceConnectionString = "ServiceConnectionString";
        public const string ServiceUserLogin = "ServiceUserLogin";
        public const string AttachmentBufferSize = "AttachmentBufferSize";
        public const string MaxAttachmentSize = "MaxAttachmentSize";
        public const string MaxFilesInFolder = "MaxFilesInFolder";
        public const string AttachmentFolder = "AttachmentFolder";
        public const string AddDomainInUrls = "AddDomainInUrls";
        public const string AttachmentSavingDialogEnabled = "AttachmentSavingDialogEnabled";

        public const string EmailMessagingEnabled = "EmailMessagingEnabled";
        public const string EmailMessagingServer = "EmailMessagingServer";
        public const string EmailMessagingAccount = "EmailMessagingAccount";
        public const string EmailMessagingPassword = "EmailMessagingPassword";
        public const string EmailMessagingPort = "EmailMessagingPort";
        public const string EmailMessagingSSLEnabled = "EmailMessagingSSLEnabled";
        public const string IMWebService = "IMWebService";
        public const string IMWebServiceEnabled = "IMWebServiceEnabled";

        //public const string ServerName = "ServerName";
        //public const string ADAccessPath = "ADAccessPath";
        //public const string MessageTemplate = "MessageTemplate";
        //public const string ApplicationFolder = "ApplicationFolder";
    }

    public class DefaultSettingValues
    {
        public const int AttachmentBufferSize = 65536;
        public const int MaxAttachmentSize = 4096;
        public const int MaxFilesInFolder = 5000;
        public const string AttachmentSubFolder = "attachments";
        public const int EmailMessagingPort = 25;
        public const bool EmailMessagingEnabled = false;
        public const bool EmailMessagingSSLEnabled = false;
        public const bool AddDomainInUrls = false;
        public const string ServiceUserLogin = "DocCircService";
        public const bool AttachmentSavingDialogEnabled = true;
    }

}