//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    public class InstitutionItem
    {
         private int? _institutionId;

        public int? InstitutionId
        {
            get { return _institutionId; }
            set { _institutionId = value; }
        }


        private int _owner;

        public int Owner
        {
            get { return _owner; }
            set { _owner = value; }
        }

        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        private string _phone1;

        public string Phone1
        {
            get { return _phone1; }
            set { _phone1 = value; }
        }

        private string _phone2;

        public string Phone2
        {
            get { return _phone2; }
            set { _phone2 = value; }
        }

        private string _address1;

        public string Address1
        {
            get { return _address1; }
            set { _address1 = value; }
        }

        private string _address2;

        public string Address2
        {
            get { return _address2; }
            set { _address2 = value; }
        }

        private string _email1;

        public string Email1
        {
            get { return _email1; }
            set { _email1 = value; }
        }

        private string _email2;

        public string Email2
        {
            get { return _email2; }
            set { _email2 = value; }
        }

        private string _webSite;

        public string WebSite
        {
            get { return _webSite; }
            set { _webSite = value; }
        }

        private string _note;

        public string Note
        {
            get { return _note; }
            set { _note = value; }
        }

       
        public InstitutionItem()
        {
        }

        public InstitutionItem(
            int owner,
            string name,
            string phone1,
            string phone2,
            string address1,
            string address2,
            string email1,
            string email2,
            string webSite,
            string note
            )
            :this(owner, name, phone1, phone2, address1, address2, email1, email2, webSite, note, null)
        {
        }

        public InstitutionItem(
            int owner,
            string name,
            string phone1,
            string phone2,
            string address1,
            string address2,
            string email1,
            string email2,
            string webSite,
            string note,
            int? institutionId
            )
        {
            _owner = owner;
            _name = name;
            _phone1 = phone1;
            _phone2 = phone2;
            _address1 = address1;
            _address2 = address2;
            _email1 = email1;
            _email2 = email2;
            _webSite = webSite;
            _note = note;
            _institutionId = institutionId;
        }
    }

    public class InstitutionToken
    {
        private int _id;

        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        private string _name;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public InstitutionToken(int id, string name)
        {
            _id = id;
            _name = name;
        }
    }
}
