//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    public class NotificationItem
    {
        private long? _id;

        public long? Id
        {
            get { return _id; }
            set { _id = value; }
        }

        private long? _docCardId;

        public long? DocCardId
        {
            get { return _docCardId; }
            set { _docCardId = value; }
        }

        private int _notificationType;

        public int NotificationType
        {
            get { return _notificationType; }
            set { _notificationType = value; }
        }

        private int _user;

        public int User
        {
            get { return _user; }
            set { _user = value; }
        }

        private DateTime _notificationTime;

        public DateTime NotificationTime
        {
            get { return _notificationTime; }
            set { _notificationTime = value; }
        }

        private string _text;

        public string Text
        {
            get { return _text; }
            set { _text = value; }
        }

        private string _userNote;

        public string UserNote
        {
            get { return _userNote; }
            set { _userNote = value; }
        }

        private int? _lastActionUser;

        public int? LastActionUser
        {
            get { return _lastActionUser; }
            set { _lastActionUser = value; }
        }

        private int _routePointNum;

        public int RoutePointNum
        {
            get { return _routePointNum; }
            set { _routePointNum = value; }
        }


        /// <summary>
        /// for saved notifications
        /// </summary>
        /// <param name="id"></param>
        /// <param name="docCardId"></param>
        /// <param name="notificationType"></param>
        /// <param name="user"></param>
        /// <param name="notificationTime"></param>
        /// <param name="text"></param>
        public NotificationItem(
            long? id,
            long? docCardId,
            int notificationType,
            int user,
            DateTime notificationTime,
            string text,
            string userNote,
            int? lastActionUser,
            int routePointNum
            )
        {
            _id = id;
            _docCardId = docCardId;
            _notificationType = notificationType;
            _user = user;
            _notificationTime = notificationTime;
            _text = text;
            _userNote = userNote;
            _lastActionUser = lastActionUser;
            _routePointNum = routePointNum;
        }
            
        /// <summary>
        /// for new notifications
        /// </summary>
        /// <param name="docCardId"></param>
        /// <param name="notificationType"></param>
        /// <param name="user"></param>
        /// <param name="notificationTime"></param>
        /// <param name="text"></param>
        public NotificationItem(
            long? docCardId,
            int notificationType,
            int user,
            DateTime notificationTime,
            string text,
            string userNote,
            int? lastActionUser,
            int routePointNum
            ) : this(null, docCardId, notificationType, user, notificationTime, text, userNote, lastActionUser, routePointNum)
        {
        }

        public NotificationItem()
        {
        }
    }
}
