//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace Evpo.DocCirc.Common
{
    public class SecurityItem
    {
        private bool _create = false;

        public bool Create
        {
            get { return _create; }
            set { _create = value; }
        }

        private bool _read = false;

        public bool Read
        {
            get { return _read; }
            set { _read = value; }
        }

        private bool _update = false;

        public bool Update
        {
            get { return _update; }
            set { _update = value; }
        }

        private bool _delete = false;

        public bool Delete
        {
            get { return _delete; }
            set { _delete = value; }
        }

        private bool _browse = false;

        public bool Browse
        {
            get { return _browse; }
            set { _browse = value; }
        }

        private bool _readOwn = false;

        public bool ReadOwn
        {
            get { return _readOwn; }
            set { _readOwn = value; }
        }

        private bool _updateOwn = false;

        public bool UpdateOwn
        {
            get { return _updateOwn; }
            set { _updateOwn = value; }
        }

        private bool _deleteOwn = false;
        
        public bool DeleteOwn
        {
            get { return _deleteOwn; }
            set { _deleteOwn = value; }
        }

        public SecurityItem()
        {
        }

        public SecurityItem(bool[] crudBRoUoDo)
        {
            _create = crudBRoUoDo[0];
            _read = crudBRoUoDo[1];
            _update = crudBRoUoDo[2];
            _delete = crudBRoUoDo[3];
            _browse = crudBRoUoDo[4];
            _readOwn = crudBRoUoDo[5];
            _updateOwn = crudBRoUoDo[6];
            _deleteOwn = crudBRoUoDo[7];
        }

        public SecurityItem(
            bool create, bool read, bool update, bool delete, bool browse, 
            bool readOwn, bool updateOwn, bool deleteOwn)
        {
            _create = create;
            _read = read;
            _update = update;
            _delete = delete;
            _browse = browse;
            _readOwn = readOwn;
            _updateOwn = updateOwn;
            _deleteOwn = deleteOwn;
        }
    }
}
