//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Xml.Serialization;
using Evpo.DocCirc.Common;

namespace Evpo.DocCirc.Messaging
{
    [Serializable]
    public class NotificationMessage
    {
        private long _userNotificationId;
        [XmlAttribute]
        public long UserNotificationId
        {
            get { return _userNotificationId; }
            set { _userNotificationId = value; }
        }

        private string _userLogin;
        [XmlAttribute]
        public string UserLogin
        {
            get { return _userLogin; }
            set { _userLogin = value; }
        }


        private string[] _recipients;
        [XmlArrayItem(ElementName="Recipient")]
        public string[] Recipients
        {
            get { return _recipients; }
            set { _recipients = value; }
        }

        private string _serviceUserEmail;
        [XmlAttribute]
        public string ServiceUserEmail
        {
            get { return _serviceUserEmail; }
            set { _serviceUserEmail = value; }
        }

        private string _serviceUserDisplayName;

        public string ServiceUserDisplayName
        {
            get { return _serviceUserDisplayName; }
            set { _serviceUserDisplayName = value; }
        }


        //private UserProperties _serviceUserProp;
        //public UserProperties ServiceUserProp
        //{
        //    get { return _serviceUserProp; }
        //    set { _serviceUserProp = value; }
        //}

        private int _notificationType;
        [XmlAttribute]
        public int NotificationType
        {
            get { return _notificationType; }
            set { _notificationType = value; }
        }


        private string _notificationTypeText;
        [XmlElement]
        public string NotificationTypeText
        {
            get { return _notificationTypeText; }
            set { _notificationTypeText = value; }
        }

        private string _docCardSubject;
        [XmlAttribute]
        public string DocCardSubject
        {
            get { return _docCardSubject; }
            set { _docCardSubject = value; }
        }

        private string _internalNum;
        [XmlAttribute]
        public string InternalNum
        {
            get { return _internalNum; }
            set { _internalNum = value; }
        }

        private string _docCardUrl;
        [XmlAttribute]
        public string DocCardUrl
        {
            get { return _docCardUrl; }
            set { _docCardUrl = value; }
        }

        private string _text;
        [XmlElement]
        public string Text
        {
            get { return _text; }
            set { _text = value; }
        }

        private string _userNote;
        [XmlElement]
        public string UserNote
        {
            get { return _userNote; }
            set { _userNote = value; }
        }

        private string _lastActionUserDisplayName;
        [XmlAttribute]
        public string LastActionUserDisplayName
        {
            get { return _lastActionUserDisplayName; }
            set { _lastActionUserDisplayName = value; }
        }

        private int _routePointNum;
        [XmlAttribute]
        public int RoutePointNum
        {
            get { return _routePointNum; }
            set { _routePointNum = value; }
        }


        private string _registratorDisplayName;
        [XmlAttribute]
        public string RegistratorDisplayName
        {
            get { return _registratorDisplayName; }
            set { _registratorDisplayName = value; }
        }

        private string _docTypeName;
        [XmlAttribute]
        public string DocTypeName
        {
            get { return _docTypeName; }
            set { _docTypeName = value; }
        }

        private string _docStatusText;
        [XmlAttribute]
        public string DocStatusText
        {
            get { return _docStatusText; }
            set { _docStatusText = value; }
        }

        private DateTime _notificationTime;
        [XmlAttribute]
        public DateTime NotificationTime
        {
            get { return _notificationTime; }
            set { _notificationTime = value; }
        }

        private bool _instantMessaging;
        [XmlAttribute]
        public bool InstantMessaging
        {
            get { return _instantMessaging; }
            set { _instantMessaging = value; }
        }

        private string _imAddress;
        [XmlAttribute]
        public string ImAddress
        {
            get { return _imAddress; }
            set { _imAddress = value; }
        }


        public NotificationMessage()
        {
        }
    }


    public class NotificationMessageSerializer
    {
        protected XmlSerializer _ser;

        public NotificationMessageSerializer()
        {
            _ser = new XmlSerializer(typeof(NotificationMessage));
        }

        public NotificationMessage GetNotificationMessage(string xmlText)
        {
            StringReader reader = new StringReader(xmlText);
            NotificationMessage retVal = (NotificationMessage)_ser.Deserialize(reader);
            reader.Close();
            return retVal;
        }

        public string GetXmlText(NotificationMessage message)
        {
            StringWriter writer = new StringWriter();
            _ser.Serialize(writer, message);
            string retVal = writer.ToString();
            writer.Close();
            return retVal;
        }

    }

}
