//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using System.Resources;
using MySql.Data.MySqlClient;

namespace Evpo.DocCirc.MySqlDL.Update
{
    public class DatabaseUpdator
    {
        protected string Update20070731(MySqlConnection con)
        {
            MySqlCommand cmd = con.CreateCommand();
            cmd.CommandText =
                "select count(*) from information_schema.columns " +
                "where table_name='dcuser' and column_name='LastDocType' and table_schema=database();";
            MySqlDataReader reader = cmd.ExecuteReader();
            reader.Read();
            int result = reader.GetInt32(0);
            reader.Close();
            string retVal = "";
            if (result == 0)
            {
                cmd.CommandText = UpdatorData.Update20070731File1;
                cmd.ExecuteNonQuery();
                retVal = "LastDocType column added to dcuser";
            }

            return retVal;
        }

        public string Update(string connString)
        {
            StringBuilder sb = new StringBuilder();
            MySqlConnection con = new MySqlConnection(connString);
            con.Open();
            string result = Update20070731(con);
            if (result != "")
            {
                if (sb.Length > 0)
                {
                    sb.Append(Environment.NewLine);
                }
                sb.Append(result);
            }
            con.Close();

            return sb.ToString();
        }
    }
}
