//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Evpo.DocCirc.MySqlDL
{
    public class DBFieldDefKeeper
    {
        public static DBFieldDefKeeper Current;
        private const string _fieldDefinitionXmlFile = "DocCardField.xml";

        private DocCardField[] _fieldDefs;
        public DocCardField[] FieldDefs
        {
            get { return _fieldDefs; }
            set { _fieldDefs = value; }
        }

        public DBFieldDefKeeper(string appFolder)
        {
            string fullPath = Path.Combine(appFolder, _fieldDefinitionXmlFile);
            _fieldDefs = (new DocCardFieldDeserializer()).GetDocCardFields();
        }
    }
}
