//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Xml.Serialization;
using MySql.Data.MySqlClient;
using Evpo.DocCirc.Common;

namespace Evpo.DocCirc.MySqlDL
{
    [Serializable]
    public class DocCardField
    {
        private string _fieldName;
        [XmlAttribute]
        public string FieldName
        {
            get { return _fieldName; }
            set { _fieldName = value; }
        }

        private string _tableColumn;
        [XmlAttribute]
        public string TableColumn
        {
            get { return _tableColumn; }
            set { _tableColumn = value; }
        }

        [XmlAttribute]
        public string DbTypeName        
        {
            get 
            {
                return Enum.GetName(typeof(MySqlDbType), _dbType);
            }
            set 
            {
                bool ignoreCase = true;
                _dbType = (MySqlDbType)Enum.Parse(typeof(MySqlDbType), value, ignoreCase);
            }
        }

        private MySqlDbType _dbType;
        public MySqlDbType DbType
        {
            get { return _dbType; }
            set { _dbType = value; }
        }

        public DocCardField()
        {
        }
    }

    public class DocCardFieldDeserializer
    {
        public DocCardFieldDeserializer()
        {
            //_xmlFilePath = xmlFileName;
            //if (!File.Exists(xmlFileName))
            //{
            //    throw new FileNotFoundException("Field definition file is not found!", xmlFileName);
            //}
        }

        public DocCardField[] GetDocCardFields()
        {
            XmlSerializer ser = new XmlSerializer(typeof(DocCardField[]), new XmlRootAttribute("Fields"));

            DocCardField[] retVal = 
                (DocCardField[])ser.Deserialize(new StringReader(AppResource.DocCardField));
            return retVal;

            //StreamReader reader = File.OpenText(_xmlFilePath);
            //reader.Close();
        }
    }
}
