//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Evpo.DocCirc.UI
{
    public class ListItemSorter
    {
        public void SortByText(ListItemCollection items)
        {
            List<ListItem> itemList = new List<ListItem>(items.Count);
            foreach (ListItem item in items)
            {
                itemList.Add(item);
            }

            QuickSort(itemList, 0, itemList.Count - 1);

            items.Clear();
            items.AddRange(itemList.ToArray());
        }

        protected void QuickSort(List<ListItem> items, int left, int right)
        {
            if (right > left)
            {
                int pivot = Partition(items, left, right);

                QuickSort(items, left, pivot - 1);
                QuickSort(items, pivot + 1, right);
            }
        }

        protected int Partition(List<ListItem> items, int left, int right)
        {
            int storage = left;
            string pivotValue = items[right].Text;
            for (int i = left; i < right; i++)
            {
                if (items[i].Text.CompareTo(pivotValue) <= 0)
                {
                    if (i != storage)
                    {
                        Swap(items, storage, i);
                    }
                    storage++;
                }
            }

            if (storage != right)
            {
                Swap(items, storage, right);
            }
            
            return storage;
        }

        protected void Swap(List<ListItem> items, int i1, int i2)
        {
            ListItem item = items[i1];
            items[i1] = items[i2];
            items[i2] = item;
        }
    }
}
