//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using Evpo.DocCirc.MySqlDL;

namespace Evpo.DocCircUnitTest
{
    [TestFixture]
    public class DatabaseInstallerTest
    {
        class Const
        {
            public const string ConnectionString =
                "Database=EvpoDCTest;Data Source=localhost;User Id=doccirctest;Password=doccirctest";
            public const string WrongConnectionString =
                "Database=nodatabase;Data Source=localhost;User Id=nosuchauser;Password=1";
        }

        [Test]
        public void CheckConnection()
        {
            DatabaseInstaller installer = new DatabaseInstaller();
            bool result = installer.CheckConnection(Const.ConnectionString);

            Assert.IsNull(installer.DatabaseError, installer.DatabaseError);
            Assert.IsTrue(result);

            result = installer.CheckConnection(Const.WrongConnectionString);
            Assert.IsFalse(result);
            Assert.IsNotNull(installer.DatabaseError);
        }
    }
}
