//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using System.Web.UI;
using System.Web.UI.WebControls;
using Evpo.DocCirc.UI;

namespace Evpo.DocCircUnitTest
{
    [TestFixture]
    public class ListItemSorterTest
    {
        [Test]
        public void SortByText()
        {
            DropDownList list = new DropDownList();
            list.Items.Add(new ListItem("g", "0"));
            list.Items.Add(new ListItem("f", "1"));
            list.Items.Add(new ListItem("d", "2"));
            list.Items.Add(new ListItem("c", "3"));
            list.Items.Add(new ListItem("b", "4"));
            list.Items.Add(new ListItem("a", "5"));

            (new ListItemSorter()).SortByText(list.Items);

            Assert.AreEqual("a", list.Items[0].Text);
            Assert.AreEqual("5", list.Items[0].Value);
            Assert.AreEqual("b", list.Items[1].Text);
            Assert.AreEqual("4", list.Items[1].Value);
            Assert.AreEqual("c", list.Items[2].Text);
            Assert.AreEqual("3", list.Items[2].Value);
            Assert.AreEqual("d", list.Items[3].Text);
            Assert.AreEqual("2", list.Items[3].Value);
            Assert.AreEqual("f", list.Items[4].Text);
            Assert.AreEqual("1", list.Items[4].Value);
            Assert.AreEqual("g", list.Items[5].Text);
            Assert.AreEqual("0", list.Items[5].Value);

        }


    }
}
