//**********************************************************************************
//EVPO Document Circulation Copyright  2007 Evgeny Pokhilko 
//<evpomail@gmail.com> <http://www.evpo.net>
//
//This file is part of EVPO Document Circulation.
//
//EVPO Document Circulation is free software: you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation, either version 2 of the License, or
//(at your option) any later version.
//
//EVPO Document Circulation is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with EVPO Document Circulation.  If not, see <http://www.gnu.org/licenses/>.
//**********************************************************************************

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using Evpo.DocCirc.Common;
using Evpo.DocCirc.UI;
using Evpo.DocCirc.Biz;

namespace Evpo.DocCircUnitTest
{
    [TestFixture]
    public class UserPropertiesOperatorTest
    {
        protected class FixtureData
        {
        }

        [TestFixtureSetUp]
        public void TFSetUp()
        {
            
                
                    


        }


        [Test]
        public void SortUserPropertiesListByFullName()
        {
            List<UserProperties> userProps = new List<UserProperties>();
            UserProperties up = new UserProperties();
            up.FullName = "a";
            userProps.Add(up);
            
            up = new UserProperties();
            up.FullName = "c";
            userProps.Add(up);

            up = new UserProperties();
            up.FullName = "b";
            userProps.Add(up);

            up = new UserProperties();
            up.FullName = "f";
            userProps.Add(up);

            up = new UserProperties();
            up.FullName = "d";
            userProps.Add(up);

            (new UserPropertiesOperator()).SortUserPropertiesListByFullName(userProps); // tested method

            Assert.AreEqual("a", userProps[0].FullName);
            Assert.AreEqual("b", userProps[1].FullName);
            Assert.AreEqual("c", userProps[2].FullName);
            Assert.AreEqual("d", userProps[3].FullName);
            Assert.AreEqual("f", userProps[4].FullName);
        }

        [Test]
        public void SortUserPropertiesListByLogin()
        {
            List<UserProperties> userProps = new List<UserProperties>();
            UserProperties up = new UserProperties();
            up.Login = "a";
            userProps.Add(up);

            up = new UserProperties();
            up.Login = "c";
            userProps.Add(up);

            up = new UserProperties();
            up.Login = "b";
            userProps.Add(up);

            up = new UserProperties();
            up.Login = "f";
            userProps.Add(up);

            up = new UserProperties();
            up.Login = "d";
            userProps.Add(up);

            (new UserPropertiesOperator()).SortUserPropertiesListByLogin(userProps); // tested method

            Assert.AreEqual("a", userProps[0].Login);
            Assert.AreEqual("b", userProps[1].Login);
            Assert.AreEqual("c", userProps[2].Login);
            Assert.AreEqual("d", userProps[3].Login);
            Assert.AreEqual("f", userProps[4].Login);
        }



    }
}
