using System;
using System.Reflection;
using System.IO;

class Script
{
    public static void Main(string[] args)
    {
        if (args.Length < 1)
        {
            throw new ArgumentException("Invalid parameters!");
        }
        string assemblyPath = args[0];

        if (!File.Exists(assemblyPath))
        {
            throw new ArgumentException(
                String.Format("File '{0}' doesn't exist", assemblyPath)
                );
        }

        Assembly assembly = Assembly.ReflectionOnlyLoadFrom(assemblyPath);
        Version version = assembly.GetName().Version;
        Console.WriteLine(
            "evpodc{0}{1}-{2:D4}", 
            version.Major, 
            version.Minor, 
            version.Build
            );
        
    }
}